Subject: bug#54867: "You found a bug" during guix pull on freshly executed qemu image

From: Carlos Fernández Llamas <[email-masked]>
Date: Tue, 12 Apr 2022 00:16:53 +0200

Hi there!,

Just encountered an error while giving Guix a try.

My steps:
- Downloaded the Guix 1.3.0 qcow2 image: https://ftp.gnu.org/gnu/guix/guix-system-vm-image-1.3.0.x86_64-linux.qcow2
- Executed it on Debian bullseye using qemu-system, as explained here: https://guix.gnu.org/manual/en/html_node/Running-Guix-in-a-VM.html (side note: running `xz -d` with the downloaded image didn't work, complaining about it not being the correct format. Used it directly without decompressing and guix started properly anyway, so ¯\_(ツ)_/¯)
- Configured keyboard to the Spanish layout using the GUI.
- Opened a terminal and executed `guix pull`

As a result, got the following output ending with "You found a bug" and a suggestion to report it here, so, here we are :)

> guest@gnu ~$ guix pull
> Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
> Authenticating channel 'guix', commits 9edb3f6 to 6413d08 (17,564 new commits)...
> Building from this channel:
> guix https://git.savannah.gnu.org/git/guix.git 6413d08
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> libtiff-4.2.0-doc 358KiB 1.4MiB/s 00:00 [##################] 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> bdb-5.3.28 945KiB 2.5MiB/s 00:00 [##################] 100.0%
> cyrus-sasl-2.1.27 234KiB 2.1MiB/s 00:00 [##################] 100.0%
> openldap-2.4.57 1.2MiB 4.1MiB/s 00:00 [##################] 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> curl-7.76.0-doc 624KiB 2.1MiB/s 00:00 [##################] 100.0%
> nghttp2-1.41.0-lib 89KiB 4.9MiB/s 00:00 [##################] 100.0%
> openldap-2.4.50 1.3MiB 9.3MiB/s 00:00 [##################] 100.0%
> curl-7.76.0 414KiB 5.2MiB/s 00:00 [##################] 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> curl-7.74.0 379KiB 1.3MiB/s 00:00 [##################] 100.0%
> git-minimal-2.31.1 4.1MiB 3.7MiB/s 00:01 [##################] 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> gnutls-3.6.15-doc 1.0MiB 1.6MiB/s 00:01 [##################] 100.0%
> zlib-1.2.11 82KiB 2.1MiB/s 00:00 [##################] 100.0%
> gcc-7.5.0 15.2MiB 4.4MiB/s 00:03 [##################] 100.0%
> gnutls-3.6.15-debug 2.6MiB 8.5MiB/s 00:00 [##################] 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> gmp-6.2.0 583KiB 2.3MiB/s 00:00 [##################] 100.0%
> libffi-3.3 54KiB 1.3MiB/s 00:00 [##################] 100.0%
> libgc-8.0.4 224KiB 3.5MiB/s 00:00 [##################] 100.0%
> libltdl-2.4.6 52KiB 3.7MiB/s 00:00 [##################] 100.0%
> libunistring-0.9.10 500KiB 3.9MiB/s 00:00 [##################] 100.0%
> pkg-config-0.29.2 498KiB 15.2MiB/s 00:00 [##################] 100.0%
> guile-3.0.2 10.8MiB 7.9MiB/s 00:01 [##################] 100.0%
> building /gnu/store/sflmgcfcdwizj7iyd3pfksdvrkc3pskb-config.scm.drv...
> building /gnu/store/7k17dvmcrdicjsdxmpvhss4p3i3d70j5-git.scm.drv...
> building /gnu/store/j9s3n7iqvh8pqkxkwy91nq3qynr1nby7-hash.scm.drv...
> building /gnu/store/r8l291ib8hswpym73861dnjfwbvhdk85-module-import.drv...
> building /gnu/store/yl0ycq39b7dwwavn4sv6px2nsd1l1nsz-module-import.drv...
> building /gnu/store/z9zi710wk56i875x55pn93ziv6136vrl-module-import-compiled.drv...
> building /gnu/store/9s4nxajz20r4hr7hzq8yfbdja1b6pkpv-module-import-compiled.drv...
> building /gnu/store/a5b49zygqncj2nq1qwyn8kfxqcq3x0w8-compute-guix-derivation.drv...
> Computing Guix derivation for 'x86_64-linux'... /guix pull: error: You found a bug: the program '/gnu/store/h0wpwx0fzgj33zy7bj9zkpjf973pmad1-compute-guix-derivation'
> failed to compute the derivation for Guix (version: "6413d0898b92efda8213b3ced0b6d1c736726b89"; system: "x86_64-linux";
> host version: "1.3.0-1.771b866"; pull-version: 1).
> Please report the COMPLETE output above by email to <[email-masked]>.

cya!